Bug 1029624 - sandboxes terminate quickly after upgrade to 2.1.14-46.5
sandboxes terminate quickly after upgrade to 2.1.14-46.5
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On: 1011588
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 13:54 EST by Amit Shah
Modified: 2015-05-29 13:51 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1011588
Environment:
Last Closed: 2015-05-29 13:51:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2013-11-12 13:54:31 EST
This affects F20 as well:

policycoreutils-2.1.14-81.fc20.x86_64

The workaround mentioned (# chmod 4755 /usr/sbin/seunshare) works.

+++ This bug was initially created as a clone of Bug #1011588 +++

Description of problem:

After updating policycoreutils, policycoreutils-python and policycoreutils-sandbox to 2.1.14-46.5 all sandboxes seem to die quickly without output.

Reverting these packages to 2.1.14-45 restores working sandboxes.

Version-Release number of selected component (if applicable):

policycoreutils-sandbox-2.1.14-46.5.fc19.i686
policycoreutils-2.1.14-46.5.fc19.i686
policycoreutils-python-2.1.14-46.5.fc19.i686

How reproducible:

Duplicated on multiple machines.

Steps to Reproduce:
1. Upgrade to 2.1.14-46.5
2. sandbox -X firefox

Actual results:

Quietly returns almost instantly without opening firefox.

Expected results:

Runs firefox in a sandbox.

Additional info:

--- Additional comment from Daniel Walsh on 2013-09-24 21:23:18 IST ---

Could you try 

# chmod 4755 /usr/sbin/seunshare

And see if this fixes the problem?

--- Additional comment from John T. Rose on 2013-09-24 21:31:47 IST ---

yes, it does fix the problem.

--- Additional comment from Daniel Walsh on 2013-09-24 21:54:52 IST ---

Ok there seems to be some new file capability that we currently do not allow.
Comment 1 Fedora End Of Life 2015-05-29 05:44:34 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Andy Lutomirski 2015-05-29 13:51:38 EDT
Closing.  There's essentially no chance this will be fixed in Fedora 20, and this bug is irrelevant anyway until bug 1103622 is fixed.

Note You need to log in before you can comment on or make changes to this bug.